REMOVEPKG(8)

NAME
removepkg - remove Slackware packages.

SYNOPSIS
removepkg packagename

removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] packagename

DESCRIPTION
removepkg removes a previously installed Slackware package, while writing a progress report to the standard output. The name specified must be the name of one of the file indexes in /var/adm/packages. When deleting files, removepkg will analyze the contents of the other packages installed on your system, and will only delete the files that are unique to the package being removed. Similarly, the installation scripts for all the other packages will be considered when deciding whether or not to delete symbolic links from the package.

Removing a package (as well as installing one) can be a dangerous undertaking. For this reason, there is the -warn option available. When you use this, removepkg will not actually remove any files or links, but will output a detailed report of what it would do if you actually did remove the package. It's suggested that you do this (and maybe pipe the output to less ) before removing packages to make sure you've backed up anything that might be important.

When removing a package, it's original file index will be moved from /var/adm/packages to /var/adm/removed_packages. Likewise, it's installation script will be moved from /var/adm/scripts to /var/adm/removed_scripts.

OPTIONS

-warn packagename
    Generate a report to the standard output about which files and directories would be removed, but does not actually remove the package.

-preserve packagename
    If specified, the complete package subtree is reconstructed in /tmp/preserved_packages/packagename.

-copy packagename
    Construct a copy of the package under /tmp/preserved_packages/packagename, but don't remove it. (same effect as -warn -preserve)

-keep
    Save the intermediate files created by removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Mostly useful for debugging purposes.

AUTHORS
Patrick J. Volkerding <volkerdi@mhd1.moorhead.msus.edu>, with enhancements by Christian Franke <c.franke@acm.org>

SEE ALSO
installpkg(8), makepkg(8), pkgtool(8), setup(8)